## safe-iop 0.3.1

=== Makefile ===
#
# safe_iop - Makefile
#
# Author:: Will Drewry <redpig@dataspill.org>
# Copyright 2007,2008 redpig@dataspill.org
# Some portions copyright 2008 Google Inc.
#
# Unless required by applicable law or agreed to in writing, software
# distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS
# OF ANY KIND, either express or implied.
#

CC = gcc
VERSION = 0.3
TESTNAME = safe_iop_test
# For sparc64, _only_ use -O1 or -O0
CFLAGS   = -Wall -O2 -Iinclude
SOURCES = src/safe_iop.c

all: $(TESTNAME)

# This may be built as a library or directly included in source.
# Unless support for safe_iopf is needed, header inclusion is enough.

$(TESTNAME): src/safe_iop.c include/safe_iop.h
	$(CC) $(CFLAGS) -DNDEBUG=1 -DSAFE_IOP_TEST=1 $(SOURCES) -o $@

askme: examples/askme.c include/safe_iop.h
	$(CC) $(CFLAGS) examples/askme.c -o $@

so: src/safe_iop.c include/safe_iop.h
	$(CC) -shared -Wl,-soname,libsafe_iop.so.$(VERSION) $(CFLAGS) $(SOURCES) -o libsafe_iop.so.$(VERSION) 

dylib: src/safe_iop.c include/safe_iop.h
	$(CC) -dynamiclib -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-compatibility_version,$(VERSION),-current_version,$(VERSION),-install_name,/usr/local/lib/libsafe_iop.$(VERSION).dylib $(CFLAGS) $(SOURCES) -o libsafe_iop.$(VERSION).dylib


test: $(TESTNAME)
	@./$(TESTNAME)
	@rm $(TESTNAME)

clean:  
	rm $(TESTNAME)

=== debian/changelog ===
safe-iop (0.3.1-3) unstable; urgency=medium

  * QA upload.
  * Maintain package in Debian team on Salsa
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Use correct machine-readable copyright file URI.
  * Refer to common license file for CC0-1.0.
  * Drop fields with obsolete URLs.

 -- Andreas Tille <tille@debian.org>  Fri, 26 Dec 2025 16:25:30 +0100

safe-iop (0.3.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1016735)

 -- Marcos Talau <talau@debian.org>  Wed, 16 Nov 2022 07:28:02 -0300

safe-iop (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #790131, #794522)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 03 Aug 2015 11:44:28 +0800

=== debian/control ===
Source: safe-iop
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/safe-iop
Vcs-Git: https://salsa.debian.org/debian/safe-iop.git

Package: libsafe-iop0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Safe integer operation library for C - Dynamic library
 This library provides a collection of (macro-based) functions for performing
 safe integer operations across platform and architecture with a straightforward
 API.
 .
 This package provides the dynamically linked library. The dynamic library
 supplies a format-string based interface which is in pre-alpha.

Package: libsafe-iop-dev
Section: libdevel
Architecture: any
Depends: libsafe-iop0 (= ${binary:Version}), ${misc:Depends}
Description: Safe integer operation library for C - Development files
 This library provides a collection of (macro-based) functions for performing
 safe integer operations across platform and architecture with a straightforward
 API.
 .
 This package provides the development files for the dynamic library as well as
 the header-only library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	dpkg-gensymbols -plibsafe-iop0 -v0.3.1 -elibsafe_iop.so.0.3 -Odebian/libsafe-iop0.symbols

override_dh_auto_clean:
	rm -f debian/libsafe-iop0.symbols
	dh_auto_clean
